# Class PersistentProviderRegistrations.Providers

java.lang.Object
org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Providers

Enclosing class:
  `PersistentProviderRegistrations`

public static class PersistentProviderRegistrations.Providers extends Object

## Constructor Summary

Constructors
Constructor
Description
`Providers()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProvider(PersistentProviderRegistrations.Provider provider)`
`List<PersistentProviderRegistrations.Provider>`
`getProviders()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Providers

public Providers()

## Method Details

### addProvider

public void addProvider(PersistentProviderRegistrations.Provider provider)

### getProviders

public List<PersistentProviderRegistrations.Provider> getProviders()